# FdoIRaster Class Reference

`#include <IRaster.h>`

Inheritance diagram for FdoIRaster:

[legend]

List of all members.

## Detailed Description

The FdoIRaster specifies the data type and organization of raster data retrieved and stored. Using this class and the image extents in width and length, the binary format of the image data returned by and accepted by the FdoIoStreamReader class can be interpreted.

Definition at line 37 of file IRaster.h.

## Public Member Functions
virtual FDO_API FdoIRasterPropertyDictionary * | GetAuxiliaryProperties ()=0
| Get a dictionary style interface to the raster properties. Through this interface the non-standard properties of a raster image can be determined and their values can be retrieved and set. Data values are exchanged through the FdoDataValue object to accommodate various data types, boolean, integer, double, string, etc.
virtual FDO_API FdoByteArray * | GetBounds ()=0
virtual FDO_API FdoInt32 | GetCurrentBand ()=0
| Gets the currently active band/channel.
virtual FDO_API FdoRasterDataModel * | GetDataModel ()=0
| Gets the data model in use by this raster property.
virtual FDO_API FdoInt32 | GetImageXSize ()=0
| Gets the size of image file in the horizontal direction in pixels (number of columns).
virtual FDO_API FdoInt32 | GetImageYSize ()=0
| Gets the size of image file in the vertical direction in pixels (number of rows).
virtual FDO_API FdoDataValue * | GetNullPixelValue ()=0
| Gets the pixel value that represents a NULL value in the available raster stream.
virtual FDO_API FdoInt32 | GetNumberOfBands ()=0
| Gets the number of bands/channels contained in the raster image.
virtual FDO_API FdoIStreamReader * | GetStreamReader ()=0
| Get the source of image data. Image data is shipped using a paradigm similar to BLOB I/O. When fetching a raster image the GetStreamReader() method provides a FdoIStreamReader from which the client may request the image data.
virtual FDO_API FdoString * | GetVerticalUnits ()=0
| Gets the Vertical Unit of Measure corresponding to the Raster Band. The string value returned will be a considered lookup value that will be used to identify the properties of the Unit of Measure using the FDO FdoIGetMeasureUnits command.
virtual FDO_API bool | IsNull ()=0
| Returns true if the FdoIRaster represents a null value.
virtual FDO_API void | SetBounds (FdoByteArray *bounds)=0
virtual FDO_API void | SetCurrentBand (FdoInt32 value)=0
| Sets the currently active band/channel.
virtual FDO_API void | SetDataModel (FdoRasterDataModel *datamodel)=0
| Sets the data model used by this raster property. Allowed values are only those data models that are acceptable to the SupportsDataModel capability. This attribute specifies the colour/palette model, bits per pixel, tiling and interleaving. For example, if the bits per pixel of the data model is 8 and it is set to 24, a conversion would be performed when image data is requested, to return 24 bit data. If an update command is executed to save this value, the raster data would be transformed and saved. The next time this image is retrieved by the client the bits per pixel value would indicate 24.
virtual FDO_API void | SetImageXSize (FdoInt32 size)=0
| Sets the size of image file in the horizontal direction in pixels (number of columns). By setting the X and Y image size properties prior to getting a reader for the data, the client application can control the density of pixels fetched by the provider, which may reduce the amount of data shipped by the reader and reduce processing time significantly. For example, a certain query in the coordinate system of the raster object class returns a FdoIRaster object with image size 12091 by 8043. But the image only needs to be displayed in an area 1167 by 776 on the users monitor.
virtual FDO_API void | SetImageYSize (FdoInt32 size)=0
| Sets the size of image file in the vertical direction in pixels (number of rows). See SetImageXSize.
virtual FDO_API void | SetNull ()=0
| Sets the FdoIRaster to a null value.
virtual FDO_API void | SetNumberOfBands (FdoInt32 value)=0
| Sets the number of bands/channels contained in the raster image.
virtual FDO_API void | SetStreamReader (FdoIStreamReader *reader)=0
| Set the source of image data. Image data is shipped using a paradigm similar to BLOB I/O. When inserting or updating an object with a raster property, the SetStreamReader method provides a means to set a FdoIStreamReader callback. On execution of an insert or update command, requests are made on the reader for the image data (which is supplied by the FDO client application). The format of the image data expected is determined by the DataModel property. The data type, bit depth, tiling and organization specify the meaning of the image data. By setting the DataModel property prior to setting a reader for the data, the FDO client application can control the way data is understood by, the FDO raster subsystem.
virtual FDO_API void | SetVerticalUnits (FdoString *units)=0
| Sets the Vertical Unit of Measure corresponding to the Raster Band.

The documentation for this class was generated from the following file:

- IRaster.h